KSTACK_CONTAINS(9)

NAME
kstack_contains - determine if an address range lies within the kernel stack for a thread

SYNOPSIS
#include <machine/stack.h>
bool
kstack_contains(struct thread *td, vm_offset_t va, size_t len);

DESCRIPTION
This function can be used to determine whether a given address range falls within the kernel stack for the thread pointed to by td.

RETURN VALUES
The function kstack_contains() returns true if the range of addresses [ va..( va+ len-1)] (both addresses inclusive) lies within the kernel stack for the thread pointed to by argument td, or returns false otherwise.

ERRORS
This function does not return an error.

SEE ALSO
kproc(9), kthread(9)